# Create image with new format

This function converts an image to a new file format.

Important:

When you disable the WebServer role, the system disables this function.

Endpoint: GET /ImageManager/convert_file
Version: 11.136.0.19
Security: BasicAuth

## Query parameters:

  - `image_file` (string, required)
    The image file to convert, relative to the cPanel account's /home directory.
    Example: "images/myimage.jpg"

  - `type` (string, required)
    The format to which to convert the images.
    Example: "png"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "convert_file"

  - `module` (string)
    The name of the module called.
    Example: "ImageManager"

  - `result` (object)

  - `result.data` (object)

  - `result.data.converted_file` (string)
    The new absolute filepath to the image.
    Example: "/home/cptest1/images/myimage.png"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


